<!--
  Generated template for the MessageListPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Inbox</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
	<ion-list>
		<ion-item (click)="viewMessages(m.id, m.before_pay)" *ngFor="let m of messages; let i = index">
			<ion-row>
			    <ion-col col-3 class="alt-avatar-2">
					<img *ngIf="m.creator.avatar.startsWith('/')" [src]="url+m.creator.avatar">
					<img *ngIf="m.creator.avatar.startsWith('h')" [src]="m.creator.avatar">
			    </ion-col>
			    <ion-col col-9>
					<strong> {{m.creator.first_name}}</strong>
				    <div class="ion-float-left">
					    <p>{{m.messages.body | slice:0:30 }} <br />
					    <small *ngIf="!isIos"> {{m.messages.created_at | date: "shortTime" }}</small>
						</p>
					</div>
					<div class="ion-float-right">
						<ion-badge *ngIf="m.unReads > 0"> {{m.unReads}} </ion-badge>
					</div>
			    </ion-col>
		  	</ion-row>
		</ion-item>
	</ion-list>
	<div text-center>
		<button ion-button text-center class="btn" (click)="openCreateMessage()">
	    	<ion-icon name="chatbubbles" class="icon-big"></ion-icon><p>New Message</p>
	    </button>
	</div>

</ion-content>
